GDB (xrefs)

Public Attributes | List of all members
gdb_symtab Struct Reference

## Public Attributes
struct gdb_block * | blocks
int | nblocks
struct linetable * | linetable
const char * | file_name
struct gdb_symtab * | next

## Detailed Description

Definition at line 464 of file jit.c.

## Member Data Documentation

## ◆ blocks

struct gdb_block* gdb_symtab::blocks

Definition at line 468 of file jit.c.

Referenced by finalize_symtab().

## ◆ file_name

const char* gdb_symtab::file_name

Definition at line 477 of file jit.c.

Referenced by finalize_symtab(), and jit_symtab_open_impl().

## ◆ linetable

struct linetable* gdb_symtab::linetable

Definition at line 474 of file jit.c.

Referenced by finalize_symtab(), and jit_symtab_line_mapping_add_impl().

## ◆ nblocks

int gdb_symtab::nblocks

Definition at line 471 of file jit.c.

Referenced by finalize_symtab().

## ◆ next

struct gdb_symtab* gdb_symtab::next

Definition at line 478 of file jit.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), jit_object_close_impl(), and jit_symtab_open_impl().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/jit.c